Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log
Interface FilterTarget

All Superinterfaces:
  LogTarget

All Known Implementing Classes:
  AbstractFilterTarget, PriorityFilter

    public interface FilterTarget

extends LogTarget

A Log target which will do filtering and then pass it onto targets further along in chain.

Filtering can mena that not all LogEvents get passed along chain or that the LogEvents passed alongare modified in some manner.

Author:
  Peter Donald

Method Summary
`void` | `addTarget(LogTarget target)` Add a target to output chain.

Methods inherited from interface org.jivesoftware.util.log.LogTarget
`processEvent`

Method Detail

### addTarget

    void addTarget(LogTarget target)

  Add a target to output chain.

  Parameters:
    `target` - the log target

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.